Bug 276983 - Selecting >1 column in Custom Document, doesn't show columns until document is saved and reopened
Summary: Selecting >1 column in Custom Document, doesn't show columns until document i...
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: general (show other bugs)
Version: Git
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-03 04:41 UTC by Kubuntiac
Modified: 2011-07-10 01:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Image of the same document, before and after save / reload. Created with Columns set to 2. (268.70 KB, image/png)
2011-07-03 04:41 UTC, Kubuntiac
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kubuntiac 2011-07-03 04:41:38 UTC
Created attachment 61559 [details]
Image of the same document, before and after save / reload. Created with Columns set to 2. 

Version:           svn (using KDE 4.6.4) 
OS:                Linux

When creating a new document, only 1 column shows regardless of how many columns were chosen in the Custom Document -> Columns tab. Saving the file and reopening it, shows the correct number of columns, however.

Reproducible: Always

Steps to Reproduce:
1. Select "New document" -> "Custom Document" -> Columns tab
2. Increase number of columns to 2
3. Click "Create"

Actual Results:  
Page displays 1 column only. If the document is saved and re-opened it displays 2 columns.

Expected Results:  
Page displays 2 columns immediately.

OS: Linux (i686) release 2.6.38-8-generic-pae
Compiler: cc
Comment 1 Sebastian Sauer 2011-07-09 18:33:13 UTC
Fixed with 6be1ccebd71e6dea1c1a531b769c3ea33796b738
Comment 2 Kubuntiac 2011-07-10 01:08:49 UTC
Awesome. Working perfectly now. Thanks!